Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.ejb.metamodel
Interface AbstractIdentifiableType.Builder<X>

All Superinterfaces:
  AbstractManagedType.Builder<X>

Enclosing class:
  AbstractIdentifiableType<X>

    public static interface AbstractIdentifiableType.Builder<X>

extends AbstractManagedType.Builder<X>

Method Summary
`void` | `applyIdAttribute(SingularAttributeImpl<X,?> idAttribute)`
`void` | `applyIdClassAttributes(Set<SingularAttribute<? super X,?>> idClassAttributes)`
`void` | `applyVersionAttribute(SingularAttributeImpl<X,?> versionAttribute)`

Methods inherited from interface org.hibernate.ejb.metamodel.AbstractManagedType.Builder
`addAttribute`

Method Detail

### applyIdAttribute

    void applyIdAttribute(SingularAttributeImpl<X,?> idAttribute)

### applyIdClassAttributes

    void applyIdClassAttributes(Set<SingularAttribute<? super X,?>> idClassAttributes)

### applyVersionAttribute

    void applyVersionAttribute(SingularAttributeImpl<X,?> versionAttribute)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.